import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'Tile.dart';

class Plateau{
  List<Tile> listTile;

  Plateau({this.listTile});

  List<Tile> getListTile(){
    return listTile;
  }
}

Tile tile = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(-1, -1));
Tile tile2 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(0, -1));
Tile tile3 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(1, -1));
Tile tile4 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(-1, 0));
Tile tile5 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(0, 0));
Tile tile6 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(1, 0));
Tile tile7 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(-1, 1));
Tile tile8 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(0, 1));
Tile tile9 = new Tile(
    imageURL: 'https://picsum.photos/512/1024', alignment: Alignment(1, 1));


class DisplayPlateauWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Affichage du plateau"),
      ),
      body: Center(
          child: ListView(
          children: [
            SizedBox(
                width: 500.0,
                height: 400.0,
                child: Container(
                    margin: EdgeInsets.all(20.0),
                    child: createGridView())),
          ])),
    );
  }

  Widget createGridView() {
    return GridView.count(
        padding: const EdgeInsets.all(10),
        mainAxisSpacing: 5,
        crossAxisSpacing: 5,
        crossAxisCount: 3,
        children: getAllCroppedImage(createListTile()),
    );
  }

  List<Widget> getAllCroppedImage(List<Tile> liste){
    List<Widget> res=<Widget>[];
    for(int i=0; i<liste.length;i++){
      res.add(liste[i].croppedImageTile());
    }
    return res;
  }

  List<Tile> createListTile(){
    List<Tile> res=<Tile>[];
    res.add(tile);
    res.add(tile2);
    res.add(tile3);
    res.add(tile4);
    res.add(tile5);
    res.add(tile6);
    res.add(tile7);
    res.add(tile8);
    res.add(tile9);
    return res;
  }
}

